<?php
function cloudy_sidebar() {
	register_sidebar(array(
		'name' => 'Sidebar Widget Area',
		'id' => 'sidebar-widget-area',
		'description' => 'The sidebar widget area',
		'before_widget' => '<li>',
		'after_widget' => '</li>',
		'before_title' => '<h2>',
		'after_title' => '</h2>',        
	));
}
add_action('widgets_init', 'cloudy_sidebar');

// Basic theme setup.
function if_theme_setup() {
	global $content_width;
	if ( ! isset( $content_width ) ) $content_width = 603; //Set content width
	// add_theme_support('post-formats',array('aside', 'gallery', 'link', 'image', 'quote', 'status', 'video', 'audio', 'chat'));
	add_editor_style();
	add_theme_support('automatic-feed-links');
	add_theme_support('post-thumbnails');
	set_post_thumbnail_size( 110, 110, true ); // Default size
	// This theme uses wp_nav_menu() in one location.
	register_nav_menus(array('primary' => 'Header Menu'));
}
add_action( 'after_setup_theme', 'if_theme_setup' );


//Multi-level pages menu  
function cloudy_page_menu() {
if (is_page()) { $highlight = "page_item"; } else {$highlight = "menu-item current-menu-item"; }
echo '<ul class="menu">';
wp_list_pages('sort_column=menu_order&title_li=&link_before=<span><span>&link_after=</span></span>&depth=3');
echo '</ul>';
}

// wp_enqueue_* JS - CSS
function cloudy_extras() {
		wp_enqueue_script( 'jquery' );
		wp_enqueue_script( 'cloudy', get_template_directory_uri() . "/cloudy.js" );
		wp_enqueue_style( 'cloudy-google-fonts', 'http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz:200,400', array(), false, 'screen' );
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' );
}
if ( !is_admin() ) add_action('wp_enqueue_scripts', 'cloudy_extras');

//password protections page change
function cloudy_the_password_form() {
    global $post;
    $label = 'pwbox-'.(empty($post->ID) ? rand() : $post->ID);
    $output = '<form action="' . get_option('siteurl') . '/wp-pass.php" method="post">'.
    '<p>My post is password protected. Please ask me for a password:</p> Password<input name="post_password" id="' . $label . '" type="password" size="20" /><input type="submit"'.
    'name="Submit" value="' . esc_attr__("Submit") . '" /></p></form>';
    return $output;
}
add_filter('the_password_form', 'cloudy_the_password_form');


// Print the post title & comment count bubble
function cloudy_post_title() {
if (is_single() or is_page()):
?>
  <h1 class="content-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
<?php  else:  ?>
  <div class="pin i secret"></div>
  <h2 class="content-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
<?php
endif;
?>
  <div class="comment-bubble i"><?php if ( comments_open() ) : comments_popup_link('0', '1', '%'); else: echo "<b>OFF</b>"; endif; ?></div>
  <?php if ( !get_the_title() and !is_single() ): ?><a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink">&infin;</a><?php endif; ?>
<?php
} // end post title func

// Print the post meta data
function cloudy_post_meta() {
	wp_link_pages(array('before' => '<p><strong>Pages: </strong> ', 'after' => '</p>', 'next_or_number' => 'number'));
	if ( !is_single() ) return;
// Post meta for single.php
	$author_ID = get_the_author_meta( 'ID' );
	$author_url = get_author_posts_url( $author_ID );
	$author_name = get_the_author();
	$author_avatar = get_avatar( $author_ID, '20', '<!--no gravatar-->');
?>
    <div class="meta">
		<?php edit_post_link('Edit this entry.', '', ''); ?>
        <div class="clear"></div>
            <div class="tags-cats">
                <div class="cats">Categories: <?php the_category(', '); ?></div>
                <?php the_tags('<div class="tags">Tags: ', ', ', '</div>'); ?>
            </div><!--tags-cats-->
        <div class="author">
        This post was written by <?php echo $author_avatar; ?> <?php the_author_posts_link(); ?>, posted on <?php the_time('F j, Y l'); ?> at <?php the_time('g:i a');?>
        </div><!--author-->
    </div><!--meta-->
<?php
} // end post_meta func


// Pagination for blog view
function cloudy_pagination() {
/*	$args = array(
    'base'         => '%_%',
    'format'       => '?page=%#%',
    'total'        => 1,
    'current'      => 0,
    'show_all'     => False,
    'end_size'     => 1,
    'mid_size'     => 2,
    'prev_next'    => True,
    'prev_text'    => __('&laquo; Previous'),
    'next_text'    => __('Next &raquo;'),
    'type'         => 'plain',
    'add_args'     => False,
    'add_fragment' =>  );*/
	
	
global $wp_query;

$big = 999999999; // need an unlikely integer

echo '<p class="pagination">'.paginate_links( array(
	'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
	'format' => '?paged=%#%',
	'current' => max( 1, get_query_var('paged') ),
	'total' => $wp_query->max_num_pages,
	'prev_text'    => '< PREV',
    'next_text'    => ' NEXT>',
) ).'</p>';
}

// Sets the post excerpt length to 40 words.
function cloudy_excerpt_length( $length ) {
	return 40;
}
add_filter( 'excerpt_length', 'cloudy_excerpt_length' );

// Returns a Continue Reading link for excerpts
function cloudy_continue_reading_link() {
	return '<span class="more-link"><a href="'. esc_url( get_permalink() ) . '">' . __( '<span class="button">Continue reading &rarr;</span>', 'SunnyBlueSky' ) . '</a></span>';
}

// Replaces "[...]".
function cloudy_auto_excerpt_more( $more ) {
	return ' &hellip;' . cloudy_continue_reading_link();
}
add_filter( 'excerpt_more', 'cloudy_auto_excerpt_more' );

// Adds Continue Reading link to excerpts.
function cloudy_custom_excerpt_more( $output ) {
	if ( has_excerpt() && ! is_attachment() ) {
		$output .= cloudy_continue_reading_link();
	}
	return $output;
}
add_filter( 'get_the_excerpt', 'cloudy_custom_excerpt_more' );
?>